### Creating Project Templates ###

Project templates are files with .pnpt extensions stored in the %APN%\projects directory which provide a framework for attaching specific tools or tool configurations (such as compiler switches or miame.ini file environments) and other attributes to projects. To create a new project template, make a copy of one of the existing template1.pnpt file in the projects directory, renaming the copy to something meaningful. Then open the new .pnpt file (you can use APN to do it) and make the following changes:

* Change the id (GUID).  If you have GUID generator, you can use it to generate a new global unique ID, otherwise, just change the last character or two so that it is at least relatively unique, since this ID is how projects are internally identified.  The id looks like this: id="{E5D45580-F351-11E3-3D6C-07E3C48F4AE1}"


* Change the occurrences of “template1” to whatever new name you give the template.

After saving the new .pnpt file, exit APN and restart it so it will be recognized, then create your new project and select the template. Refer to the topic  Project-Specific Compilation below for details on creating a custom compiler configuration for your project.

Notes:

1. If the project template is all on one line, you can format it with the Scripts > XML > Beautify script

2. If your new project template does not show up when you add a project, the two most likely causes are that you forgot to exit and restart APN, or you failed to modify the id of the project template.  (If multiple templates have the same id, only one will appear in the new project dialog.)

3. When your project group contains multiple projects, when editing the project, you may need to select one as the Active Project by right-clicking on it in the Project Explorer and selecting the Active Project option. Otherwise the specific tools associated with the project will not appear in the Tools menu, nor will their shortcut keys be active.
