The Tags Explorer is a side panel which displays most of the interesting “tags”  (constants, variables, ++include modules, functions, procedures, labels, etc.) organized by group and alphabetized within each group, making it easy to browse them and quickly locate where they are defined (by double-clicking on the entry in the Tags Explorer panel).  For example, here we have a single file open, with the Tags Explorer visible.  (Note that the Tags Explorer is often configured to share the same panel with the Project Explorer and Text Clips list, in which case you’ll need to select its tab label to make it visible:

![1.jpg](https://bitbucket.org/repo/dAyAyp/images/3384029205-1.jpg)

If we expand the **function** section we can see all of the available functions in the program (including all of the ++include files). We can then double-click on one to go directly to it, for example, double-clicking on the function **acerta’corte** below...:

![2.jpg](https://bitbucket.org/repo/dAyAyp/images/1720111506-2.jpg)

causes the file ppacerto.bpi containing the target procedure to be opened, and the focus to be set on the procedure:

![3.jpg](https://bitbucket.org/repo/dAyAyp/images/21618344-3.jpg)

As new files are opened, they are added to the Tags Explorer, so in the above example, opening the file ppacerto.bpi caused it to be added to the Tags Explorer. 

Tip: if the file gets opened, but not added to the Tags Explorer, it may be because the file is not auto-identified as being A-Shell Basic. For example:

![4.jpg](https://bitbucket.org/repo/dAyAyp/images/2100732975-4.jpg)

To fix this, you may need to adjust the start of the file (see Association by Pattern (SmartStart) ), and/or manually select the file/language type in the drop-down on the toolbar, and then resave the file.

Note that for main files (.bas, .bp), the tag sections will contain all of the tags for the entire program, except for the **module** section, which will only list the ++includes directly referenced by the main program.  However, for non-main files, the tag sections will only list the tags for just that file.  In the example below, we can see that the ++include file admin.bpi contains only 4 procedures.  

![Clipboard-14.jpg](https://bitbucket.org/repo/dAyAyp/images/3318417508-Clipboard-14.jpg)



