To use a script function, you typically position the cursor or make a selection first (to provide a context for the script function to operate in), and then double-click the name of the script in the script window. For example, to use the Block Comment Toggle script to comment/uncomment a block of lines, first select them: 

![1.jpg](https://bitbucket.org/repo/dAyAyp/images/3881783182-1.jpg)

Then double click the script name in the Scripts window, which in this case results as follows:

![2.jpg](https://bitbucket.org/repo/dAyAyp/images/3682078985-2.jpg)

This particular script leaves the lines selected, so you can easily just double-click again to uncomment the block.

You can also invoke a script from the keyboard shortcut if one has been defined.  (See Configuration section for defining shortcuts).

For scripts that operate on a single word, such as the Doc Search script, you can double-click the word to select it, then double-click the script name to launch the online A-Shell reference and search for the term

![3.jpg](https://bitbucket.org/repo/dAyAyp/images/1350487940-3.jpg)

Other scripts just use the current cursor position.  For example, to open a ++include file, just position the cursor anywhere on the line ...

![4.jpg](https://bitbucket.org/repo/dAyAyp/images/4268194116-4.jpg)

and either double-click the script name “Open ++include” or hit the shortcut (normally Ctrl+Alt+o) and it locates the include file (translating AMOS / ERSATZ specs to native as required) and opens it:

![5.jpg](https://bitbucket.org/repo/dAyAyp/images/3911229784-5.jpg)


