When you first open APN, you’ll see a window layout similar to this:

![Clipboard-15.jpg](https://bitbucket.org/repo/dAyAyp/images/2496022260-Clipboard-15.jpg)

The main parts of the interface are:
    *  Menu bar
    *  Tool bar 
    *  Status bar
    *  Main editing window (tabbed)
* Auxiliary windows:
Projects - List of files/directories contained in the open project(s)

Tags - Tokens of interest (functions, variables, modules, etc.)
Text Clips - Insertable text snippets
Scripts - Functional extensions (written in Python)
Output - Script and external display area
Find results - (not shown) Appears automatically for some search ops

Most of these elements can be made visible or invisible via the View menu. 

Aside from the usual tool bar controls, one of particular interest is the drop-down showing the language setting for the current file. This should usually be A-Shell Basic. If you use non-standard file extensions and your files are getting identified as some other language, it can addressed in **Tools > Options > Files**.

The auxiliary windows can be arranged and docked in various ways.  The example above shows the Projects, Tags, and Text Clips all sharing one tabbed panel, with Scripts in another. Aside from making the panels visible or invisible via the View > Windows menu, you can drag them by their title bars into floating or docked positions, in individual or tiled panels.  If you’re not used to this it can be a bit tricky to get the hang up. Here are a few tips/examples:

Starting from the configuration shown above, with the Project, Tags and Text Clips sharing one panel and the Scripts another, we can move the Scripts panel into the shared panel as another tab by clicking on the title bar of the Scripts panel and dragging it down to the labels area of the tabbed panel.  As you drag, you’ll see a dotted outline jumping around into various possible target positions. For example, if you let go of the mouse in this position…

![Clipboard-16.jpg](https://bitbucket.org/repo/dAyAyp/images/626277143-Clipboard-16.jpg)

you’ll end up with a combination tabbed/tiled panel:

![Clipboard-17.jpg](https://bitbucket.org/repo/dAyAyp/images/80218354-Clipboard-17.jpg)

(You can then adjust the relative heights by dragging the border between them.)  To stick with just one tabbed panel, drag the title bar again to the area where the tabbed labels are until you see the “Scripts” tab appear, and then let go:

![Clipboard-18.jpg](https://bitbucket.org/repo/dAyAyp/images/2763891245-Clipboard-18.jpg)

Conversely, if you want to drag the Scripts window back into its own tiled window panel, grab the tab label and drag it until the dotted outline appears like this:

![Clipboard-19.jpg](https://bitbucket.org/repo/dAyAyp/images/3902772808-Clipboard-19.jpg)

Tip: it usually appears when the cursor is close to the vertical edge of the adjacent panel. Otherwise the dotted outline is likely to float around, and if you release it in that position, the resulting window will be a floating window. But in this example, we’ve dropped it back into the docked/tiled position:

![Clipboard-20.jpg](https://bitbucket.org/repo/dAyAyp/images/3962479382-Clipboard-20.jpg)

Scripts are so useful that you’re likely to want to leave that panel open all the time (unless you assign and remember shortcut keys for all the script functions you use).  Depending on how much space you have available, you may want to close the other auxiliary windows or make them as small as you can, since it takes only a second to resize or reopen them if needed.


