The previous section described a global compiler configuration that is available for all projects. If you need different compiler options for different projects (perhaps a different miame.ini file), you can modify the procedure as follows:

  * To be able to attach a specific compiler configuration to a specific project, you have to associate the project with a unique Template when you first create it. Refer to the topic Creating a Project in the Usage section for details on selecting the template when creating the project; read-on for details on creating the templates.


  * To define the project-specific compiler configuration, use Tools > Options > Project Tools and select the template associated with your project in the drop-down list at the top. (This is where naming your template to match the project will help.)

  * Then add the compiler configuration just as you did in the global version above. You may want to adjust the name to further clarify that this is a project-specific compile command, and you’ll need to choose a hot key that doesn’t conflict with any global tools. Here’s an example of what the Project Specific tool dialog may look like after adding the new configuration:

![1.png](https://bitbucket.org/repo/dAyAyp/images/2952720113-1.png)

