## Tortoise Hg Setup ##

Tortoise Hg is a Windows GUI wrapper for the Mercurial revision control package.  You don't have to use it to obtain APN releases and updates, but it (or another such package that is compatible with BitBucket, such as Atlassian) will make the process easier.  And if you haven't work with a revision control package, the experience may convince you to use it for your own application code.

To start, download [Tortoise Hg](http://tortoisehg.bitbucket.org/download/index.html).

After a standard install, launch it and use File > Open to navigate to the APN folder (where you installed APN).

![thg-open1.png](https://bitbucket.org/repo/dAyAyp/images/3034621547-thg-open1.png)

Tortoise Hg (aka THG) should then open to something like this:
![thg-wb1.png](https://bitbucket.org/repo/dAyAyp/images/2422591827-thg-wb1.png)

To synchronize your local version with the online repository, use View > Synchronize, which open a panel that looks something like the following:

![thg-sync1a.png](https://bitbucket.org/repo/dAyAyp/images/944012114-thg-sync1a.png)

You may need to adjust the highlighted items to match the image. Then click the "Pull Incoming Changes"  button (shown with the red arrow above).  You'll need to enter your login (contact MicroSabio for this.)  (You'll probably want to store them by clicking on the icon that looks like a lock, just to the left of the URL line.)   If all goes well, it will show:

![thg-pull1.png](https://bitbucket.org/repo/dAyAyp/images/2941960128-thg-pull1.png)

And APN will have been updated.  To see details about the individual changes, you can click on the revisions n the upper window; the lower window will display the individual files that changed. For any text file, you can then click on it and see the individual changes.