### Configure Compiler ###
In order to compile your programs from within APN, you need to tell APN two things:


- Where your regular A-Shell initialization file (miame.ini) is located
- What command line switches, options and parameters to use when loading the compiler. In addition to the usual switches you use when compiling programs (for example, -w:2000 or -x:2), there are some that are required for the APN environment.

To configure the compiler, go to Tools > Options > Tools and select the scheme “A-Shell BASIC.” You should see “ASB Compile” in the list (it may be the only thing on the list); select it and click “Edit.”  (If for any reason "ASB Compile" does not appear in the list, you can click the Add button and create it. Refer to the following comments and "Integrated Compilation" link below for details on the setup of the tool.

The “Parameters” line is the one that accomplishes both of the objectives mentioned above: it tells APN the location of miame.ini, and specifies the compiler switches to use. You should be able to modify this line (if needed) without too much difficulty; see the more detailed description under  [Integrated Compilation](Integrated Compilation) if necessary. Note that APN provides default values for the Parameters line and you may need to make no changes whatsoever. 

