Continuing from the section above where we created a project group, right-click on it in the Projects window (or use File > New > Project) to create the project...

![1.jpg](https://bitbucket.org/repo/dAyAyp/images/1744567203-1.jpg)

This leads to a dialog asking the name of the project and the folder to store the project file in. The dialog also has some icons allowing you to associate the new project with a template:  “Empty Project”, “Sample”, “Template 1”, i.e.:

![2.jpg](https://bitbucket.org/repo/dAyAyp/images/2224282991-2.jpg)

The project template feature is primitive at the moment, and doesn’t add much capability, EXCEPT that it is essential if you want to have different tools or tool settings (such as the compiler miame.ini setting) associated with different projects.  If so, either select “Template 1”, or “Template 2”.  Better yet, create one or more templates named appropriately for your  projects - see the topic Creating Project Templates in the Configuration section for details. 

We’ll name the new project LIT Commands and specify our common project folder (c:\vm\apn projects).
(Again, note that the location of the project definition files doesn’t have to have any connection to the location of the content files, so we’re storing all of them in a single directory.) 

 Now our project window looks like this (a project named LIT Commands within the group A-Shell Dev):

![3.jpg](https://bitbucket.org/repo/dAyAyp/images/2385203513-3.jpg)
![4.jpg](https://bitbucket.org/repo/dAyAyp/images/689467375-4.jpg)

To add files to the project, right click again:

You can add individual files or folders, but in most cases, you’ll probably want to use a “Magic Folder”.  This is basically the same as a regular folder except with a filter attached that causes it to include or exclude certain files or subfolders. The filter remains active for the life of the magic folder within of the project, so when files or subfolders are added/deleted by other means to/from the directory, the project will automatically adjust. In our case, we’re going to add a single Magic Folder consisting of a single folder -  c:\vm\miame\commands - and including all of the file types likely to be part of ASB programs, specifically excluding a few types (although I must admit I’m not sure how excluding a type differs from simply not including it), and specifically excluding the .hg subdirectory (a Mercurial source code management control directory).

![5.jpg](https://bitbucket.org/repo/dAyAyp/images/843002484-5.jpg)

Now our projects window looks like this:

![6.jpg](https://bitbucket.org/repo/dAyAyp/images/3494287009-6.jpg)

Notes:

* The delimiter is semi-colon, not comma
 
* The decision of whether to include auxiliary file types (*.bsi, *.map, etc.) rests mainly on two factors:
 
* * Whether you want them to appear in the Project Explorer (as shown above).  If they don’t appear, you can still open directly via File > Open, or indirectly one of the “open includes” scripts.
  
* * Whether you them included in a Find in Project Files search (as shown below)

* (In my case, I would rather they don’t appear in the Project Explorer, just to reduce clutter, but the usefulness of including them in Find-in-Project-Files overrides that.)
 
* There isn’t a menu option to re-edit (or even delete) the Magic Folder options, but you can edit them directly in the Project (.pnproj) File XML.

 
![7.jpg](https://bitbucket.org/repo/dAyAyp/images/2883841637-7.jpg)


At this point you may want to save your project files. Initially, there may be no save options on the File menu (if you haven’t previously opened a project), so just close APN and it will prompt you to save.



