Call Tips (also see [Using Call Tips](Using Call Tips)) are automatically defined based on the Function and Procedure prototypes in your source code. So there is nothing to configure there, although you may disable the feature by unchecking the "Include Tags..." checkbox in the Tools > Options > Autocomplete dialog. 

To make Call Tips available for XCALLs and library functions that have not yet been added to the current program, you can define them in the APN\settings\asb.api file. This file is not included with APN, so any definitions you add there will not be overwritten by an update. But to get you started, we do include a sample file, APN\settings\soslib.api, which includes definitions for most of the common SOSFUNC: library functions. To add these sample definitions to the active Call Tips database, save the file as APN\settings\asb.api.  (Note that there is also an APN\schemes\asb.api file which we do supply, that contains definitions for the built-in functions, SBRs, and a few of the common SBXs that are typically distributed with A-Shell. You can examine or even edit that file, but be aware that it will be updated/overwritten with each APN updated.)

The .api file can be edited using APN.  It is a simple XML format, and there are ample notes at the top of the file to explain how the format details. To activate it, just save the file (as asb.api) and (re)launch APN.