You must have at least one project group, which is essentially just a collection of related projects. In many environments, one project group will probably suffice (perhaps named after your company or flagship product), or perhaps you’ll use want to group your projects into a few categories, such as applications, support, testing, etc. It’s not worth agonizing over now, as it is easy to re-group your projects later, so just create one.

In this example we’ll create a project group called A-Shell Dev which will use to hold projects such as LIT Commands, SOSLIB, etc. The project group file has the same name as the project group, with a .ppg extension. You can save it anywhere (no need for it to have any relationship to the project or individual file locations), but because of the uncertainty that causes, you may want to keep it simple by putting all your project group, project and workspace files in a single projects directory within your APN directory, which is what I’m going to do here:

![cpg1.png](https://bitbucket.org/repo/dAyAyp/images/2364698930-cpg1.png)

Note that this will make it easy to distribute / update the project file among multiple PCs you or your company uses.

So we start by using File > New > Project Group

![cpg2.png](https://bitbucket.org/repo/dAyAyp/images/2017776120-cpg2.png)

which creates a project called New Project Group:

![cpg3.png](https://bitbucket.org/repo/dAyAyp/images/929687345-cpg3.png)

Right click on it to rename it:

![cpg4.png](https://bitbucket.org/repo/dAyAyp/images/3564736335-cpg4.png)

Note that you can use this context menu to add existing projects to a group, which provides an easy way of re-organizing your projects later if you decide to re-group them differently.  Also note that it doesn’t actually save the project group definition file yet (A-Shell Dev.ppg) - that will come when you first close the project.