Use **Tools > Options > Keyboard**

The available functions (and scripts) that can be assigned shortcuts are listed, allowing you to see and edit the shortcuts.  Note that the set of shortcuts seen here will depend on whether you've selected [VUE Compatibility Mode](VUE Compatibility Mode); before modifying the shortcuts, make sure you set that option the way you want it and click OK and then modify the shortcuts so as to eliminate confusion over which set of shortcuts you are modifying.) 

To assign a new shortcut to a function, select the desired function or script in the list. (Note that it is arranged by menu groups and by script names, with internal editor keys like "Line Up" in a section at the bottom called "Editor".) For example, to assign the shortcut CTRL+SHIFT+I to the Scripts.VUE (vue.py) Insert Char script, select it, then click in the "Assign Shortcuts" box and hit the desired key combination. A text description of the key combination, e.g. “Ctrl + Shift + I” will appear automatically.  Then click Add, after which the new command will appear in the "Current Shortcuts" box, along with any other shortcut to the same function):  

![apn-kbd-2.png](https://bitbucket.org/repo/dAyAyp/images/1003163814-apn-kbd-2.png)

A function can have multiple shortcuts assigned, as in the above example, but if you try to assign a shortcut that has already been assigned, it will just display a message indicating the conflict.  For example, if we try to assign Ctrl+F to the same function, it will tell us that Ctrl+F is currently assigned to Search.Find. 

![apn-kbd-4.png](https://bitbucket.org/repo/dAyAyp/images/1351481901-apn-kbd-4.png)

So we would have to remove it from that function before adding it to this function.  To remove a shortcut, just locate the function, click on the shortcut in the Current Shortcuts box, and click the Remove button:

![apn-kbd-3.png](https://bitbucket.org/repo/dAyAyp/images/2692919101-apn-kbd-3.png)

Note: before modifying the keyboard map, you should read the [VUE Compatibility Mode](VUE Compatibility Mode) topic (whether or not you are interested in VUE compatibility per se), because it also explains some details about how the map is stored and updated.