Syntax highlighting is tied to the scheme (i.e. source code language). Most of the details are defined via XML in %APN%\scripts\asb.schemedef, which you can modify, but probably just want to leave as is initially. (The colors themselves are associated with the overall style and can be adjusted on the **Tools > Options > Styles and > Advanced** dialogs.)  In the default style, it should look something like the following:

![5.png](https://bitbucket.org/repo/dAyAyp/images/935014773-5.png)

(Map keywords are blue, comments are gray, quoted strings are green, compiler preprocessor statements (like include or define) are pink, etc.)  Note that this is a fairly simple-minded keyword recognition/grouping scheme. At some point to add more sophistication we may want to write an ASB-specific lexer.

To change the color or style of a specific type of syntax element, use **Tools > Options > Styles > Advanced**.  For example, to show the preprocessor keywords such as “define” in bold, first determine which of the 5 classes of keywords it is by browsing the Keywords tab.  Note that the actual keyword lists are defined in the asb.schemedef file.

![6.png](https://bitbucket.org/repo/dAyAyp/images/3549402432-6.png)

Then select the Styles tab and make the desired changes:

![7.png](https://bitbucket.org/repo/dAyAyp/images/3479776968-7.png)

Note that the color/style is previewed in the box just above the buttons.

To change the overall color/style scheme, you can select one of the presets, such as ColorfulSea:

![8.png](https://bitbucket.org/repo/dAyAyp/images/3580873669-8.png)

![9.png](https://bitbucket.org/repo/dAyAyp/images/2932769960-9.png)
