As of pn.exe 2.4.0.12 (APN release 0.21, Sep 2015), there is an option on the Tools > Options > General dialog to "Use VUE keyboard map" :

![apn-vue-keymap-cb.png](https://bitbucket.org/repo/dAyAyp/images/4020099875-apn-vue-keymap-cb.png)

This activates an alternate keyboard map (settings\keymap-vue.dat instead of settings\keymap.dat) which contains a number of "VUE-compatible" keyboard commands. (Actually, it would be more accurate to call it "VUE-friendly", since it is somewhat impossible, if not ridiculous, to attempt full VUE compatibility in a modern Windows editor such as APN. But the alternate map does support a number of the more common VUE Control+ sequences that VUE-ers are often most attached to. The details are summarized in the following table:

![VEC-SWEC-table.png](https://bitbucket.org/repo/dAyAyp/images/3111086348-VEC-SWEC-table.png)

(This table is also available as an XLS file in the %APN%\doc folder).  Legend and notes:

* VEC = VUE Editing Commands
* SWEC = Standard Windows Editing Commands
* Blue lines are those where the map makes a change from the standard and results in near VUE compatibility with little or no conflict with the SWEC.
* Red lines are those where achieving VUE compatibility would involve significant conflict with SWEC; we made some compromises here which you may want to review, and possibly customize by editing the keyboard map yourself.
* Black lines represent VUE commands that we didn't touch, i.e. the VUE and standard keyboard maps are the same.
* "(script)" indicates that the VUE command is actually implemented in a script, contained in scripts\vue.py
* The release package contains the "official" (generic) versions of the two keyboard maps in the files settings\keymap.rel and settings\keymap-vue.rel. If you don't have working (.dat) copies of these files, they are created when APN is launched. Any changes you make to either keyboard map will be saved in the .dat version, and thus subsequent APN updates will not overwrite your changed versions. But you can manually copy the .rel versions over to the .dat versions if you want to restore the original maps.
* See the next topic, [Keyboard Shortcuts](Keyboard Shortcuts), for details on customizing either keyboard map